<?php
/**
* Массив, содержащий поддерживаемые MIME-типы
*
* @author       andi <ab@cdef.ru>
* @copyright    © Centurys ent., 2007
* @link         http://a-panov.ru/
* @icq          288-703-918
* @since        1.0.0 (free public)
* @package      public scripts
* @access       public
*/

class canMimes {
static private
    $_mimes = array(
        'mimedef' => 'application/octet-stream',
        
        'gif'  => 'image/gif',
        'jpg'  => 'image/jpeg',
        'jpeg' => 'image/jpeg',
        'png'  => 'image/png',
        
        '7z'   => 'application/x-7z-compressed',
        'zip'  => 'application/zip',
        'rar'  => 'application/x-rar-compressed',
        
//        '' => '',
    );
    
    static function Get($ext = 'mimedef') {
        return isset(self::$_mimes[$ext])
            ? self::$_mimes[$ext]
            : self::$_mimes['mimedef'];
    }
}
?>